// Copyright (c) 2006 Google Inc.
// All rights reserved
// 
// This file is part of the Google Desktop SDK and may be freely copied and used.
// To download the latest version of the SDK please visit 
// http://desktop.google.com/

function loadTripod() {
	openURL("http://tripod.brynmawr.edu");
}


function onTextBoxKeyPress() {
  // Clear the search box if the escape key is pressed
  if (event.keyCode == 27) {
    textbox.value = "";
    return;
  }

  // When the enter key is pressed, the action depends on if this gadget is
  // currently in the sidebar or floating.
  if (event.keyCode == 13) {
	doSearch();
  }
}

// Opens the requested URL using the user's default web browser
function openURL(url) {
  try {
    var shell = new ActiveXObject("Shell.Application");
    shell.Open(url);
  } catch (e) {
    return;
  }
}
plugin.onShowOptionsDlg = ShowOptionsDlg;

// Execute when options is clicked
function onOpenOptionsClick() { 
	pluginHelper.showOptionsDialog();
}

var indxList = new Array(
	"Keyword",
	"Title",
	"Author",
	"Journal Title",
	"Subject",
	"Genre",
	"Call #",
	"ISBN/ISSN"
	);


	function doSearch() {
	  var searchText = textbox.value;
	  var indx = options.getValue("indx") || "Keyword";
	  if (indx == "Keyword") {indx = "X";}
	  if (indx == "Title") {indx = "t";}
	  if (indx == "Author") {indx = "a";}
	  if (indx == "Journal Title") {indx = "j";}
	  if (indx == "Subject") {indx = "d";}
	  if (indx == "Genre") {indx = "h";}
	  if (indx == "Call #") {indx = "c";}
	  if (indx == "ISBN/ISSN") {indx = "i";}
	  if (searchText != null &&searchText != '') {
	  openURL("http://tripod.brynmawr.edu/search/?searchtype="+indx+"&searcharg="+searchText);
	  }
}

// Display the options dialog
function ShowOptionsDlg(wnd) {
	wnd.AddControl(gddWndCtrlClassLabel,0,"","Select an Index: ",40,30,60,24);

	var indxDropList = wnd.AddControl(gddWndCtrlClassList, gddWndCtrlTypeListDrop, "indxDropList", indxList, 100, 30, 160, 24);
	indxDropList.value = options.getValue("indx") || "Keyword";

	wnd.onClose = OptionsDlgClosed;
}

function OptionsDlgClosed(wnd, code) {
	if (code == gddIdOK) {
		options.putValue("indx",wnd.GetControl("indxDropList").value);

	}
}
